emailjs doesn't work with node.js 0.6.7? #23

Closed
felixchan opened this Issue Jan 16, 2012 · 4 comments

Projects

None yet

4 participants

@felixchan

$ npm install emailjs
npm http GET https://registry.npmjs.org/emailjs
npm http 304 https://registry.npmjs.org/emailjs
npm http GET https://registry.npmjs.org/buffertools
npm http 304 https://registry.npmjs.org/buffertools

buffertools@1.0.6 preinstall /home/me/kj/src/node_modules/emailjs/node_modules/buffertools
./build-wrapper

Traceback (most recent call last):
File "./build-wrapper", line 8, in
status = subprocess.call('node-waf configure build'.split())
File "/usr/lib/python2.7/subprocess.py", line 493, in call
return Popen(popenargs, *kwargs).wait()
File "/usr/lib/python2.7/subprocess.py", line 679, in init
errread, errwrite)
File "/usr/lib/python2.7/subprocess.py", line 1239, in _execute_child
raise child_exception
OSError: [Errno 2] No such file or directory
npm ERR! error installing buffertools@1.0.6
npm ERR! error installing emailjs@0.2.1
npm ERR! buffertools@1.0.6 preinstall: ./build-wrapper
npm ERR! sh "-c" "./build-wrapper" failed with 1
npm ERR!
npm ERR! Failed at the buffertools@1.0.6 preinstall script.
npm ERR! This is most likely a problem with the buffertools package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! ./build-wrapper
npm ERR! You can get their info via:
npm ERR! npm owner ls buffertools
npm ERR! There is likely additional logging output above.
npm ERR!
npm ERR! System Linux 3.0.0-14-virtual
npm ERR! command "node" "/usr/local/bin/npm" "install" "emailjs"
npm ERR! cwd /home/me/kj/src/node_modules
npm ERR! node -v v0.7.0-pre
npm ERR! npm -v 1.1.0-beta-10
npm ERR! code ELIFECYCLE
npm ERR! message buffertools@1.0.6 preinstall: ./build-wrapper
npm ERR! message sh "-c" "./build-wrapper" failed with 1

@mscdex

Works for me. What happens if you try executing node-waf at the bash prompt?

@eleith
Owner

@felixchan looks like there might be a problem with installing buffer tools. i'm on node 0.6.7 and i was able to both

npm install emailjs

and

npm install buffertools

try just installing buffertools and debug why that isn't installing for you. let me know what you end up finding out in case i run into other users with a similar environment as you.

@eleith eleith closed this Jan 17, 2012
@cam-intel

For anyone else who has this it appears to be a permissions issue with the build-wrapper file. try chmod +x build-wrapper down in the buffer tools..

@eleith
Owner

thanks @cam-intel

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment